org.jgrapht.alg

## Class KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation<V,E>

- java.lang.Object
- - org.jgrapht.alg.KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation<V,E>

- Enclosing class:
    KuhnMunkresMinimalWeightBipartitePerfectMatching<V,E>

      protected static class KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation<V,E>
      extends Object

  ...

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation.MatchExtender` Aggregates utilities to extend matching

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation(WeightedGraph<V,E> G, List<? extends V> S, List<? extends V> T)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int[]` | `buildMatching()` Gets costs-matrix as input and returns assignment of tasks (designated by the columns of cost-matrix) to the workers (designated by the rows of the cost-matrix) so that to MINIMIZE total tasks-tackling costs

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation

          public KuhnMunkresMinimalWeightBipartitePerfectMatching.KuhnMunkresMatrixImplementation(WeightedGraph<V,E> G,
                                                                                          List<? extends V> S,
                                                                                          List<? extends V> T)

  - ### Method Detail

    - #### buildMatching

          protected int[] buildMatching()

      Gets costs-matrix as input and returns assignment of tasks (designated by the columns of cost-matrix) to the workers (designated by the rows of the cost-matrix) so that to MINIMIZE total tasks-tackling costs

Copyright © 2016. All rights reserved.